Package com.gpudb.protocol
Class AlterTableRequest.Options
java.lang.Object
com.gpudb.protocol.AlterTableRequest.Options
Enclosing class:
A set of string constants for the
AlterTableRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final Stringstatic final StringWhen adding a column or setting a new default withactionset toSET_DEFAULT, the new default expression (GPUdb-syntax) for the column.static final StringOptional SQL-syntax form ofADD_COLUMN_EXPRESSION, used only when the SQL syntax differs from the GPUdb syntax.static final StringCreate or delete a CAGRA index on a vector column.static final StringCreate or delete a chunk skip index.static final StringCreate or delete a column (attribute) index.static final StringWhen adding a column, set a literal default value for existing records.static final Stringstatic final StringWhen adding or changing a column, set the column properties (strings, separated by a comma: data, text_search, char8, int8 etc).static final StringWhen adding or changing a column, set the column type (strings, separated by a comma: int, double, string, null etc).static final String[DEPRECATED] Please useADD_COLUMN_EXPRESSIONinstead.static final StringDon’t reset the timer; expiration countdown will continue from where it is, as if the table had not been accessed.static final StringCreate or delete a geospatial index.static final StringCreate or delete an HNSW index on a vector column.static final StringOptions to use when creating an index, in the format “key: value [, key: value [, …]]“.static final StringType of index to create, whenactionisCREATE_INDEX; to refresh, whenactionisREFRESH_INDEX; or to delete, whenactionisDELETE_INDEX.static final StringCreate a low-cardinality column (attribute) index.static final StringWhen changing a column, specify new column name.static final StringParameter for specifying the tier strategy for the table and its columns whenactionisSET_STRATEGY_DEFINITION, replacing the existing tier strategy in its entirety.static final Stringstatic final StringReset the expiration countdown timer to the table’s configured TTL.static final StringIndicates whether the time-to-live (TTL) expiration countdown timer should be reset to the table’s TTL.static final StringWhen changing a column, validate the change before applying it (or not).
Field Details
COLUMN_DEFAULT_VALUE
When adding a column, set a literal default value for existing records. For nullable columns, the default value will be null, regardless of data type. Also persisted as the column’s default for future inserts that omit the column.See Also:VALIDATE_CHANGE_COLUMN
When changing a column, validate the change before applying it (or not). Supported values:TRUE: Validate all values. A value too large (or too long) for the new type will prevent any change.FALSE: When a value is too large or long, it will be truncated.
TRUE.See Also:UPDATE_LAST_ACCESS_TIME
Indicates whether the time-to-live (TTL) expiration countdown timer should be reset to the table’s TTL. Supported values:TRUE: Reset the expiration countdown timer to the table’s configured TTL.FALSE: Don’t reset the timer; expiration countdown will continue from where it is, as if the table had not been accessed.
TRUE.See Also:ADD_COLUMN_EXPRESSION
When adding a column or setting a new default withactionset toSET_DEFAULT, the new default expression (GPUdb-syntax) for the column. Any valid expression may be used, including one containing references to existing columns in the same table. Persisted as the column’s default for future inserts that omit the column; for add_column, also used to backfill existing rows.See Also:ADD_COLUMN_EXPRESSION_SQL
Optional SQL-syntax form ofADD_COLUMN_EXPRESSION, used only when the SQL syntax differs from the GPUdb syntax. Persisted alongside the GPUdb form so SHOW CREATE TABLE / information_schema can reproduce the original SQL.See Also:STRATEGY_DEFINITION
Parameter for specifying the tier strategy for the table and its columns whenactionisSET_STRATEGY_DEFINITION, replacing the existing tier strategy in its entirety.See Also:INDEX_TYPE
Type of index to create, whenactionisCREATE_INDEX; to refresh, whenactionisREFRESH_INDEX; or to delete, whenactionisDELETE_INDEX. Supported values:COLUMN: Create or delete a column (attribute) index.LOW_CARDINALITY: Create a low-cardinality column (attribute) index.CHUNK_SKIP: Create or delete a chunk skip index.GEOSPATIAL: Create or delete a geospatial index.CAGRA: Create or delete a CAGRA index on a vector column.HNSW: Create or delete an HNSW index on a vector column.
COLUMN.See Also: